using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.ComponentModel;
using Eloquera.Client;

namespace digioz
{
    public class UserPermission
    {
        private int ciID;
        private string csValue;
        private string csDescription;
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }
        public string Value
        {
            get { return csValue; }
            set { csValue = value; }
        }

        public string Description
        {
            get { return csDescription; }
            set { csDescription = value; }
        }

        public UserPermission(){}

        public UserPermission(int piID, string psValue, string psDescription)
        {
            ciID = piID;
            csValue = psValue;
            csDescription = psDescription;
        }
    }

    public class UserPermissionList : BindingList<UserPermission>
    {
        public UserPermissionList()
        {
        }
    }
}
